<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "scan_report_monthly".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "ScanReportMonthly".
 *
 * Columns in table "scan_report_monthly" available as properties of the model,
 * followed by relations of table "scan_report_monthly" available as properties of the model.
 *
 * @property integer $id
 * @property integer $scan_report_id
 * @property integer $organization_id
 * @property string $review_average
 *
 * @property ScanReport $scanReport
 * @property Organization $organization
 */
abstract class BaseScanReportMonthly extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'scan_report_monthly';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'ScanReportMonthly|ScanReportMonthlies', $n);
    }

    public static function representingColumn()
    {
        return 'review_average';
    }

    public function rules()
    {
        return array(
            array('id, scan_report_id, organization_id', 'required'),
            array('id, scan_report_id, organization_id', 'numerical', 'integerOnly' => true),
            array('review_average', 'length', 'max' => 10),
            array('review_average', 'default', 'setOnEmpty' => true, 'value' => null),
            array('id, scan_report_id, organization_id, review_average', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
            'scanReport' => array(self::BELONGS_TO, 'ScanReport', 'scan_report_id'),
            'organization' => array(self::BELONGS_TO, 'Organization', 'organization_id'),
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'scan_report_id' => null,
            'organization_id' => null,
            'review_average' => Yii::t('app', 'Review Average'),
            'scanReport' => null,
            'organization' => null,
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('scan_report_id', $this->scan_report_id);
        $criteria->compare('organization_id', $this->organization_id);
        $criteria->compare('review_average', $this->review_average, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

}
